HORIZON-LIBRARY-MONITOR-MIB
69 objects
No module-level DESCRIPTION found.
Imported Objects
| RFC-1215 | TRAP-TYPE |
| RFC1155-SMI | enterprises IpAddress OBJECT-TYPE |
| RFC1213-MIB | DisplayString |
| OID | Name | Access | Status | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.1211 | Nodestoragetek | |||
| 1.3.6.1.4.1.1211.1 | Nodeproducts | |||
| 1.3.6.1.4.1.1211.1.5 | NodehorizonLibraryMonitor | |||
| 1.3.6.1.4.1.1211.1.5.1 | NodehlmAgent | |||
| 1.3.6.1.4.1.1211.1.5.1 | NodehlmTrpErr | A error trap message | ||
| 1.3.6.1.4.1.1211.1.5.1.1 | ScalarhlmAgtRelease | read-only | mandatory | The release of the agent. Format is %d.%d |
| 1.3.6.1.4.1.1211.1.5.1.2 | ScalarhlmAgtStatus | read-only | mandatory | When starting and initializing internal variables, the agent is >initializing< and may not answer correctly to request. Status of the agent should be queried a… |
| 1.3.6.1.4.1.1211.1.5.1.3 | ScalarhlmAgtBootDate | read-only | mandatory | The date & time when the agent started. Format is YYYY-MM-DDThh:mm |
| 1.3.6.1.4.1.1211.1.5.1.4 | ScalarhlmAgtUrl | read-write | mandatory | Url to be provided at the agent level-Can be used for library web based management purpose |
| 1.3.6.1.4.1.1211.1.5.2 | NodehlmTrap | |||
| 1.3.6.1.4.1.1211.1.5.2 | NodehlmTrpWar | A warning trap message | ||
| 1.3.6.1.4.1.1211.1.5.2.1 | ScalarhlmTrpMinPollingRate | read-only | mandatory | Minimum polling rate in second. The value is read from a file when the agent starts |
| 1.3.6.1.4.1.1211.1.5.2.2 | ScalarhlmTrpCurPollingRate | read-write | mandatory | Current polling rate in seconde. The value could not be set under hlmTrpMinPollingRate |
| 1.3.6.1.4.1.1211.1.5.2.3 | ScalarhlmTrpMsg | read-only | mandatory | A trap displayString varbind |
| 1.3.6.1.4.1.1211.1.5.2.4 | ScalarhlmTrpOid | read-only | mandatory | A trap OID varbind |
| 1.3.6.1.4.1.1211.1.5.2.5 | ScalarhlmTrpLogReportLevel | read-write | mandatory | Log message reporting level preferred by the Enterprise Management Framework destinations. 'silent' means no message is sent to the framework. 'error' means on… |
| 1.3.6.1.4.1.1211.1.5.3 | NodehlmHardware | |||
| 1.3.6.1.4.1.1211.1.5.3 | NodehlmTrpInfo | An info trap message | ||
| 1.3.6.1.4.1.1211.1.5.3.1 | NodehlmLibrary | |||
| 1.3.6.1.4.1.1211.1.5.3.1.1 | ScalarhlmLibCount | read-only | mandatory | Count of the libraries in the library table |
| 1.3.6.1.4.1.1211.1.5.3.1.2 | TablehlmLibTable | not-accessible | mandatory | This is a table of detected library detected on the SCSI bus |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1 | RowhlmLibEntry | not-accessible | mandatory | An entry in the library table |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.1 | ColumnhlmLibIndex | read-only | mandatory | Integer index of the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.2 | ColumnhlmLibType | read-only | mandatory | The model of the library, e.g 9730, 9710 |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.3 | ColumnhlmLibVendor | read-only | mandatory | The vendor of the library, e.g STK |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.4 | ColumnhlmLibStatus | read-only | mandatory | The status of the library. See hlmLibSense for details when this status equals error |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.5 | ColumnhlmLibSense | read-only | mandatory | The sense info when status is error |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.6 | ColumnhlmLibMicLevel | read-only | mandatory | The micro code level of the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.7 | ColumnhlmLibSlotCount | read-only | mandatory | Count of slot of the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.8 | ColumnhlmLibCapCount | read-only | mandatory | Count of CAP of the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.9 | ColumnhlmLibDriveCount | read-only | mandatory | Count of drives present into the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.10 | ColumnhlmLibSerialNumber | read-only | mandatory | The modelserial number of the library |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.11 | ColumnhlmLibSenseText | read-only | mandatory | |
| 1.3.6.1.4.1.1211.1.5.3.1.2.1.12 | ColumnhlmLibUrl | read-write | mandatory | Url provided at the library level - Can be used for web based library management purpose |
| 1.3.6.1.4.1.1211.1.5.3.2 | NodehlmDrive | |||
| 1.3.6.1.4.1.1211.1.5.3.2.1 | ScalarhlmDrvCount | read-only | mandatory | Total count of the drives detected. They may not all belong to the same library |
| 1.3.6.1.4.1.1211.1.5.3.2.2 | TablehlmDrvTable | not-accessible | mandatory | This is the table of drives. |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1 | RowhlmDrvEntry | not-accessible | mandatory | An entry in the drive table |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.1 | ColumnhlmDrvLibIndex | read-only | mandatory | Index of the library it belongs to |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.2 | ColumnhlmDrvIndex | read-only | mandatory | Index of the drive |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.3 | ColumnhlmDrvType | read-only | mandatory | The model of the drive. Other values might be returned to describe new model of drives. These values and their corresponding drive model will be read from a fi… |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.4 | ColumnhlmDrvStatus | read-only | mandatory | The status of the drive. See hlmDrvSense for details when rhis status equals error |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.5 | ColumnhlmDrvSense | read-only | mandatory | The sense info of the drive. See hlmLibSense for possible values |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.6 | ColumnhlmDrvContent | read-only | mandatory | Report if the drive contains a cartridge |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.7 | ColumnhlmDrvVolType | read-only | mandatory | The type of the catridge present into the drive. Other value may be returned to describe new model of volume. |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.8 | ColumnhlmDrvVolLabel | read-only | mandatory | |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.9 | ColumnhlmDrvTypeText | read-only | mandatory | Textual type of the drive |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.10 | ColumnhlmDrvVolTypeText | read-only | mandatory | Textual type of the volume present into the drive |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.11 | ColumnhlmDrvSerialNumber | read-only | mandatory | The serial number of the drive |
| 1.3.6.1.4.1.1211.1.5.3.2.2.1.12 | ColumnhlmDrvSenseText | read-only | mandatory | A short description of the sense code |
| 1.3.6.1.4.1.1211.1.5.3.3 | NodehlmCap | |||
| 1.3.6.1.4.1.1211.1.5.3.3.1 | ScalarhlmCapCount | read-only | mandatory | Total count of CAP |
| 1.3.6.1.4.1.1211.1.5.3.3.2 | TablehlmCapTable | not-accessible | mandatory | This is the table of CAPs. |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1 | RowhlmCapEntry | not-accessible | mandatory | An entry in the CAP table |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.1 | ColumnhlmCapLibIndex | read-only | mandatory | Index of the library it belongs to |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.2 | ColumnhlmCapIndex | read-only | mandatory | Index of the CAP |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.3 | ColumnhlmCapHandAccessibility | read-only | mandatory | Report whether the CAP is open or not |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.4 | ColumnhlmCapStatus | read-only | mandatory | Report the operational state of the CAP. |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.5 | ColumnhlmCapSense | read-only | mandatory | Sense info when the status equals error. |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.6 | ColumnhlmCapCellCount | read-only | mandatory | Count of cell of the cap |
| 1.3.6.1.4.1.1211.1.5.3.3.2.1.7 | ColumnhlmCapSenseText | read-only | mandatory | A short description of the sense code |
| 1.3.6.1.4.1.1211.1.5.4 | NodehlmTrpUncl | An unclassified trap message | ||
| 1.3.6.1.4.1.1211.1.5.5 | NodehlmTrpNorStatus | A normal status notification trap | ||
| 1.3.6.1.4.1.1211.1.5.6 | NodehlmTrpUnkStatus | A unknown status notification trap | ||
| 1.3.6.1.4.1.1211.1.5.7 | NodehlmTrpWarStatus | A warning status notification trap | ||
| 1.3.6.1.4.1.1211.1.5.8 | NodehlmTrpMinStatus | A minor status notification trap | ||
| 1.3.6.1.4.1.1211.1.5.9 | NodehlmTrpMajStatus | A major status notification trap | ||
| 1.3.6.1.4.1.1211.1.5.10 | NodehlmTrpCriStatus | A critical status notification trap |
Type Definitions
| Name | Syntax | Status | Description |
|---|---|---|---|
| HlmSenseCode | INTEGER { |